com.fasterxml.jackson.module.afterburner.deser

## Class SuperSonicBeanDeserializer

- java.lang.Object
- - com.fasterxml.jackson.databind.JsonDeserializer<T>
  - - com.fasterxml.jackson.databind.deser.std.StdDeserializer<Object>
    - - com.fasterxml.jackson.databind.deser.BeanDeserializerBase
      - - com.fasterxml.jackson.databind.deser.BeanDeserializer
        - - com.fasterxml.jackson.module.afterburner.deser.SuperSonicBeanDeserializer

- All Implemented Interfaces:
    com.fasterxml.jackson.databind.deser.ContextualDeserializer, com.fasterxml.jackson.databind.deser.ResolvableDeserializer, Serializable

      public final class SuperSonicBeanDeserializer
      extends com.fasterxml.jackson.databind.deser.BeanDeserializer

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.JsonDeserializer

      `com.fasterxml.jackson.databind.JsonDeserializer.None`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected com.fasterxml.jackson.databind.deser.SettableBeanProperty[]` | `_orderedProperties` Properties matching names in `_orderedPropertyNames`, assigned after resolution when property instances are finalized.
    `protected com.fasterxml.jackson.core.io.SerializedString[]` | `_orderedPropertyNames` Names of properties being deserialized, in ordered they are expected to have been written (as per serialization settings); used for speculative order-based optimizations

    - ### Fields inherited from class com.fasterxml.jackson.databind.deser.BeanDeserializer

      `_nullFromCreator`

    - ### Fields inherited from class com.fasterxml.jackson.databind.deser.BeanDeserializerBase

      `_anySetter, _arrayDelegateDeserializer, _backRefs, _beanProperties, _beanType, _delegateDeserializer, _externalTypeIdHandler, _ignorableProps, _ignoreAllUnknown, _injectables, _needViewProcesing, _nonStandardCreation, _objectIdReader, _propertyBasedCreator, _serializationShape, _subDeserializers, _unwrappedPropertyHandler, _valueInstantiator, _vanillaProcessing, TEMP_PROPERTY_NAME`

    - ### Fields inherited from class com.fasterxml.jackson.databind.deser.std.StdDeserializer

      `_valueClass, F_MASK_INT_COERCIONS`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `SuperSonicBeanDeserializer(com.fasterxml.jackson.databind.deser.BeanDeserializer src, List<com.fasterxml.jackson.databind.deser.SettableBeanProperty> props)`
    `protected` | `SuperSonicBeanDeserializer(SuperSonicBeanDeserializer src, com.fasterxml.jackson.databind.util.NameTransformer unwrapper)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `deserialize(com.fasterxml.jackson.core.JsonParser p, com.fasterxml.jackson.databind.DeserializationContext ctxt)`
    `Object` | `deserialize(com.fasterxml.jackson.core.JsonParser p, com.fasterxml.jackson.databind.DeserializationContext ctxt, Object bean)`
    `Object` | `deserializeFromObject(com.fasterxml.jackson.core.JsonParser p, com.fasterxml.jackson.databind.DeserializationContext ctxt)`
    `void` | `resolve(com.fasterxml.jackson.databind.DeserializationContext ctxt)` This method is overridden as we need to know expected order of properties.
    `com.fasterxml.jackson.databind.JsonDeserializer<Object>` | `unwrappingDeserializer(com.fasterxml.jackson.databind.util.NameTransformer unwrapper)`

    - ### Methods inherited from class com.fasterxml.jackson.databind.deser.BeanDeserializer

      `_creatorReturnedNullException, _deserializeOther, _deserializeUsingPropertyBased, _deserializeWithErrorWrapping, _missingToken, asArrayDeserializer, deserializeFromNull, deserializeUsingPropertyBasedWithExternalTypeId, deserializeUsingPropertyBasedWithUnwrapped, deserializeWithExternalTypeId, deserializeWithExternalTypeId, deserializeWithUnwrapped, deserializeWithUnwrapped, deserializeWithView, withBeanProperties, withIgnorableProperties, withObjectIdReader`

    - ### Methods inherited from class com.fasterxml.jackson.databind.deser.BeanDeserializerBase

      `_convertObjectId, _findSubclassDeserializer, _handleTypedObjectId, _resolvedObjectIdProperty, _resolveInnerClassValuedProperty, _resolveManagedReferenceProperty, _resolveUnwrappedProperty, createContextual, creatorProperties, deserializeFromArray, deserializeFromBoolean, deserializeFromDouble, deserializeFromEmbedded, deserializeFromNumber, deserializeFromObjectId, deserializeFromObjectUsingNonDefault, deserializeFromString, deserializeWithObjectId, deserializeWithType, findBackReference, findConvertingDeserializer, findProperty, findProperty, findProperty, getBeanClass, getKnownPropertyNames, getObjectIdReader, getPropertyCount, getValueInstantiator, getValueType, handledType, handleIgnoredProperty, handlePolymorphic, handleUnknownProperties, handleUnknownProperty, handleUnknownVanilla, hasProperty, hasViews, injectValues, isCachable, properties, replaceProperty, wrapAndThrow, wrapAndThrow, wrapInstantiationProblem`

    - ### Methods inherited from class com.fasterxml.jackson.databind.deser.std.StdDeserializer

      `_coerceIntegral, _deserializeFromEmpty, _failDoubleToIntCoercion, _hasTextualNull, _isIntNumber, _isNaN, _isNegInf, _isPosInf, _parseBoolean, _parseBooleanFromOther, _parseBooleanPrimitive, _parseByte, _parseDate, _parseDate, _parseDouble, _parseDoublePrimitive, _parseFloat, _parseFloatPrimitive, _parseInteger, _parseIntPrimitive, _parseLong, _parseLongPrimitive, _parseShort, _parseShortPrimitive, _parseString, findConvertingContentDeserializer, findDeserializer, findFormatFeature, findFormatOverrides, getValueClass, handleMissingEndArrayForSingle, isDefaultDeserializer, isDefaultKeyDeserializer, parseDouble`

    - ### Methods inherited from class com.fasterxml.jackson.databind.JsonDeserializer

      `getDelegatee, getEmptyValue, getEmptyValue, getNullValue, getNullValue, replaceDelegatee`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### _orderedPropertyNames

          protected final com.fasterxml.jackson.core.io.SerializedString[] _orderedPropertyNames

      Names of properties being deserialized, in ordered they are expected to have been written (as per serialization settings); used for speculative order-based optimizations

    - #### _orderedProperties

          protected com.fasterxml.jackson.databind.deser.SettableBeanProperty[] _orderedProperties

      Properties matching names in `_orderedPropertyNames`, assigned after resolution when property instances are finalized.

  - ### Constructor Detail

    - #### SuperSonicBeanDeserializer

          public SuperSonicBeanDeserializer(com.fasterxml.jackson.databind.deser.BeanDeserializer src,
                                    List<com.fasterxml.jackson.databind.deser.SettableBeanProperty> props)

    - #### SuperSonicBeanDeserializer

          protected SuperSonicBeanDeserializer(SuperSonicBeanDeserializer src,
                                    com.fasterxml.jackson.databind.util.NameTransformer unwrapper)

  - ### Method Detail

    - #### unwrappingDeserializer

          public com.fasterxml.jackson.databind.JsonDeserializer<Object> unwrappingDeserializer(com.fasterxml.jackson.databind.util.NameTransformer unwrapper)

      Overrides:
        `unwrappingDeserializer` in class `com.fasterxml.jackson.databind.deser.BeanDeserializer`

    - #### resolve

          public void resolve(com.fasterxml.jackson.databind.DeserializationContext ctxt)
                       throws com.fasterxml.jackson.databind.JsonMappingException

      This method is overridden as we need to know expected order of properties.
      Specified by:
        `resolve` in interface `com.fasterxml.jackson.databind.deser.ResolvableDeserializer`
      Overrides:
        `resolve` in class `com.fasterxml.jackson.databind.deser.BeanDeserializerBase`
      Throws:
        `com.fasterxml.jackson.databind.JsonMappingException`

    - #### deserialize

          public Object deserialize(com.fasterxml.jackson.core.JsonParser p,
                           com.fasterxml.jackson.databind.DeserializationContext ctxt)
                             throws IOException

      Overrides:
        `deserialize` in class `com.fasterxml.jackson.databind.deser.BeanDeserializer`
      Throws:
        `IOException`

    - #### deserialize

          public final Object deserialize(com.fasterxml.jackson.core.JsonParser p,
                           com.fasterxml.jackson.databind.DeserializationContext ctxt,
                           Object bean)
                                   throws IOException

      Overrides:
        `deserialize` in class `com.fasterxml.jackson.databind.deser.BeanDeserializer`
      Throws:
        `IOException`

    - #### deserializeFromObject

          public final Object deserializeFromObject(com.fasterxml.jackson.core.JsonParser p,
                                     com.fasterxml.jackson.databind.DeserializationContext ctxt)
                                             throws IOException

      Overrides:
        `deserializeFromObject` in class `com.fasterxml.jackson.databind.deser.BeanDeserializer`
      Throws:
        `IOException`

Copyright © 2016 FasterXML. All rights reserved.